package cn.ezhizao.javasdk.purpurchaseorder;

import lombok.Data;

import java.util.Date;

/**
 * 生产领料清单
 */
@Data
public class FProductionMaterialTokenHead {
    // 实体主键
    private Long fID;
    // 单据编号
    private String fBillNo;
    // 单据状态
    private String fDocumentStatus;
    // 审核人
    private Long fApproverId;
    // 审核日期
    private Date fApproveDate;
    // 修改人
    private Long fModifierId;
    // 创建日期
    private Date fCreateDate;
    // 创建人
    private Long fCreatorId;
    // 修改日期
    private Date fModifyDate;
    // 作废日期
    private Date fCancelDate;
    // 作废人
    private Long fCanceler;
    // 作废状态
    private String fCancelStatus;
    // 备注
    private String fDescription;
    // 日期
    private Date fDate;
    // 生产组织
    private String fPrdOrgId;
    // 发料组织
    private String fStockOrgId;
    // 生产车间
    // 数据字段不存在
//    private String fWorkShopId;
    // 仓库
    // 数据字段不存在
//    private String fStockId0;
    // 单据类型
    private String fBillType;
    // 货主类型
    private String fOwnerTypeId0;
    // 货主
    private String fOwnerId0;
    // 本位币
    private String fCurrId;
    // 跨组织业务类型
    private String fTransferBizType;
    // 领料人
    private Long fPickerId;
    // 仓管员
    private String fSTOCKERID;
    // 跨法人交易
    private Boolean fIsCrossTrade;
    // VMI业务
    private Boolean fVmiBusiness;
    // 序列号上传
    // 数据字段不存在
//    private Boolean fScanBox;
    // 倒冲来源
    private String fSourceType;
    // 货主含组织
    private Boolean fIsOwnerTInclOrg;
    // 库存刷新日期
    private Date fInventoryDate;
    // 实体主键
//    private Long fEntryID;
    // 物料编码
    private String fMaterialId;
    // 物料名称
    private String fMaterialName;
    // 规格型号
    private String fSpecification;
    // BOM版本
    private String fBomId;
    // 仓库
    private String fStockId;
    // 仓位
    private String fStockLocId;
    // 这个部分像字典
//    // 材料库区域
//    private String fF100001;
//    // 博世库分区
//    private String fF100002;
//    // 智能库分区
//    private String fF100003;
//    // 原材料仓库
//    private String fF100004;
//    // 博世原材料仓库
//    private String fF100005;
//    // 辅料仓库
//    private String fF100006;
//    // 金华德原材料仓库
//    private String fF100007;
    // 库存状态
    private String fStockStatusId;
    // 生产日期
    private Date fProduceDate;
    // 计划跟踪号
    private String fMtoNo;
    // 项目编号
    private String fProjectNo;
    // 生产订单编号
    private String fMoBillNo;
    // 生产订单分录内码
    private Long fMoEntryId;
    // 用料清单分录内码
    private Long fPPBomEntryId;
    // 工序号
    private String fOperId;
    // 作业
    private String fProcessId;
    // 货主类型
    private String fOwnerTypeId;
    // 申请数量
    private Double fAppQty;
    // 实发数量
    private Double fActualQty;
    // 主库存单位申请数量
    private Double fStockAppQty;
    // 主库存单位实发数量
    private Double fStockActualQty;
    // 辅库存单位实发数量
    private Double fSecActualQty;
    // 备注
    private String fEntrtyMemo;
    // 生产订单内码
    private Long fMoId;
    // 生产订单行号
    private Integer fMoEntrySeq;
    // 基本单位申请数量
    private Double fBaseAppQty;
    // 可超发数量
    private Double fAllowOverQty;
    // 主库存单位可超发数量
    private Double fStockAllowOverQty;
    // 辅库存单位可超发数量
    private Double fSecAllowOverQty;
    // 基本单位可超发数量
    private Double fBaseAllowOverQty;
    // 用料清单编号
    private String fPPBomBillNo;
    // 单位
    private String fUnitID;
    // 基本单位
    private String fBaseUnitId;
    // 主库存单位
    private String fStockUnitId;
    // 辅库存单位
    private String fSecUnitId;
    // 车间
    private String fEntryWorkShopId;
    // 退料选单数量
    private Double fSelPrcdReturnQty;
    // 基本单位退料选单数量
    private Double fBaseSelPrcdReturnQty;
    // 主库存单位退料选单数量
    private Double fStockSelPrcdReturnQty;
    // 辅库存单位退料选单数量
    private Double fSecSelPrcdReturnQty;
    // 基本单位实发数量
    private Double fBaseActualQty;
    // 辅助属性
    private String fAuxPropId;
    // 保管者类型
    private String fKeeperTypeId;
    // 保管者
    private String fKeeperId;
    // 更新库存标志
    private Boolean fStockFlag;
    // 货主
    private String fOwnerId;
    // 有效期至
    private Date fExpiryDate;
    // 保质期单位
    private String fExpUnit;
    // 保质期
    private Integer fExpPeriod;
    // 系统源单类型
    private String fSrcBillType;
    // 系统源单编号
    private String fSrcBillNo;
    // 成本价
    private Double fPrice;
    // 总成本
    private Double fAmount;
    // 系统源单内码
    private Long fEntrySrcInterId;
    // 系统源单分录内码
    private Long fEntrySrcEnteryId;
    // 系统源单行号
    private Integer fEntrySrcEntrySeq;
    // 批号
    private String fLot;
    // 产品货主类型
    private String fParentOwnerTypeId;
    // 产品货主
    private String fParentOwnerId;
    // 业务源单类型
    private String fSRCBIZBILLTYPE;
    // 业务源单编号
    private String fSRCBIZBILLNO;
    // 业务源单内码
    private Long fSRCBIZINTERID;
    // 业务源单分录内码
    private Long fSRCBIZENTRYID;
    // 业务源单行号
    private Integer fSRCBIZENTRYSEQ;
    // 拣货规则标识位
    private String fPickingStatus;
    // 业务流程
    private String fBFLowId;
    // 产品编码
    private String fParentMaterialId;
    // 生产备料单据编号
    private String fFPMBillNo;
    // 序列号单位
    private String fSNUnitID;
    // 序列号单位数量
    private Double fSNQty;
    // 预留类型
    private String fReserveType;
    // 主库存基本单位实发数量
    private Double fBaseStockActualQty;
    // 工序序列
    private Integer fOptQueue;
    // 消耗汇总
    private Boolean fConsome;
    // VMI业务
    private Boolean fEntryVmiBusiness;
    // 工序计划单编号
    private String fOptPlanBillNo;
    // 工序计划单内码
    private Long fOptPlanBillId;
    // 工作中心
    private String fWorkCenterId;
    // 工序计划工序内码
    private Long fOptDetailId;
    // 联副产品BOM分录内码
    private Long fCobyBomEntryID;
    // 需求来源
    private String fReqSrc;
    // 需求单据
    private String fReqBillNo;
    // 需求单据内码
    private Long fReqBillId;
    // 需求单据行号
    private Integer fReqEntrySeq;
    // 需求单据分录内码
    private Long fReqEntryId;
    // 组别
    private String fGroupRow;
    // 库存查询标识
    // 数据字段不存在
//    private Boolean fQueryStockUpdate;
    // 源领料单分录内码
    // 数据字段不存在
//    private Long fSrcPickEntryId;
    // 业务来源类型
    private String fSrcBusinessType;
    // 直送标识
    private String fSendRowId;
    // 可用库存
    private Double fInventoryQty;
    // 基本单位可用库存数量
    private Double fBaseInventoryQty;
    // 转出退料单标识
    private String fTransRetFormId;
    // 转出退料单号
    private String fTransRetBillNo;
    // 转出退料单内码
    private Long fTransRetId;
    // 转出退料单分录内码
    private Long fTransRetEntryId;
    // 转出退料单行号
    private Integer fTransRetEntrySeq;
    // 生产退料检验
    private Boolean fCheckReturnMtrl;
    // 基本单位生产退料请检选单数量
    private Double fBaseReturnAppSelQty;
    // 生产退料请检选单数量
    private Double fReturnAppSelQty;
    // 组织间结算跨法人标识
    private Boolean fIsOverLegalOrg;
    // 工序计划分录内码
    private Long fPlanEntryID;
    // 发料通知单订单明细分录内码
    private Long fISSUEINFOENTRYID;
    // 客户
    private String f_TSXL_KH;
    // 产品
    private String f_TSXL_cp;
    // 母材厂
    private String f_TSXL_MCC;
    // 拉拔厂
    private String f_TSXL_LBC;
    // 直料长度
    private Double f_TSXL_ZLCD;
    // 长度公差
    private String f_TSXL_CDGC;
    // 料头长度
    private Double f_TSXL_LTCD;
    // 仓管员
    private String f_TSXL_CGY1;
}
