package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizMeasurement;

/**
 * 计量单位Service接口
 *
 * @author ezhizao
 * @date 2025-04-23
 */
public interface IBizMeasurementService extends IService<BizMeasurement>
{
    /**
     * 查询计量单位列表
     *
     * @param bizMeasurement 计量单位
     * @return 计量单位集合
     */
    public List<BizMeasurement> getList(BizMeasurement bizMeasurement);

    /**
     * 物理删除
     * @param bizMeasurement
     * @return 删除结果
     */
    public int physicalDelete(BizMeasurement bizMeasurement);

}
