package cn.ezhizao.javasdk.purpurchaseorder;

import lombok.Data;

import java.util.Date;

@Data
public class FProductionMaterialHead {
    // 实体主键
    private Long fID;
    // 单据编号
    private String fBillNo;
    // 单据状态
    private String fDocumentStatus;
    // 审核人
    private Long fApproverId;
    // 审核日期
    private Date fApproveDate;
    // 修改人
    private Long fModifierId;
    // 创建日期
    private Date fCreateDate;
    // 创建人
    private Long fCreatorId;
    // 修改日期
    private Date fModifyDate;
    // 备注
    private String fDescription;
    // 产品编码
    private String fMaterialID;
    // 产品名称
    private String fMaterialName;
    // 规格型号
    private String fMaterialModel;
    // 生产车间
    private String fWorkshopID;
    // BOM版本
    private String fBOMID;
    // 数量
    private Double fQty;
    // 生产订单编号
    private String fMOBillNO;
    // 生产订单行号
    private Integer fMOEntrySeq;
    // 生产订单状态
    // 这个字段报错了
//    private String fMOStatus;
    // 生产订单分录内码
    private Long fMOEntryID;
    // 基本单位数量
    private Double fBaseQty;
    // 生产订单内码
    private Long fMoId;
    // 基本单位
    private String fBaseUnitID;
    // 生产订单类型
    private String fMOType;
    // 单位
    private String fUnitID;
    // 生产组织
    private String fPrdOrgId;
    // 辅助属性
    private String  fAuxPropIDHead;
    // 产品货主类型
    private String fParentOwnerTypeId;
    // 产品货主
    private String fParentOwnerId;
    // 委托组织
    private String fEntrustOrgId;
    // 生产订单行镜像
    private String fMoEntryMirror;
    // 需求单据ID
    private Long fSaleOrderId;
    // 需求单据分录内码
    private Long fSaleOrderEntryId;
    // 需求单据编号
    private String fSALEORDERNO;
    // 需求单据行号
    private Integer fSaleOrderEntrySeq;
    // 需求来源
    private String fReqSrc;
    // 库存日期
    private Date fInventoryDate;
    // BOM日期
    private Date fGeneRateDate;
    // 期初生产订单
    private Boolean fIsQCMo;
}
