package cn.ezhizao.javasdk.purpurchaseorder;

import lombok.Data;

import java.util.Date;

// 生产退料单
@Data
public class FProductionReturnMaterialHead {
    // 实体主键
    private Long fID;
    // 单据编号
    private String fBillNo;
    // 单据状态
    private String fDocumentStatus;
    // 审核人
    private Long fApproverId;
    // 审核日期
    private Date fApproveDate;
    // 修改人
    private Long fModifierId;
    // 创建日期
    private Date fCreateDate;
    // 创建人
    private Long fCreatorId;
    // 修改日期
    private Date fModifyDate;
    // 作废日期
    private Date fCancelDate;
    // 作废人
    private Long fCanceler;
    // 作废状态
    private String fCancelStatus;
    // 备注
    private String fDescription;
    // 生产组织 (必填项)
    private String fPrdOrgId;
    // 收料组织 (必填项)
    private String fStockOrgId;
    // 日期 (必填项)
    private Date fDate;
//    元数据中标识为fWorkShopId的字段不存在
    // 生产车间
//    private String fWorkShopId;
//    元数据中标识为fStockId0的字段不存在
    // 仓库
//    private String fStockId0;
    // 单据类型 (必填项)
    private String fBillType;
    // 货主
    private String fOwnerId0;
    // 货主类型
    private String fOwnerTypeId0;
    // 本位币
    private String fCurrId;
    // 跨组织业务类型
    private String fTransferBizType;
    // 仓管员
    private String fSTOCKERID;
    // 退料人
    private Long fReturnerId;
    // 跨法人交易
    private Boolean fIsCrossTrade;
    // VMI业务
    private Boolean fVmiBusiness;
//    元数据中标识为fScanBox的字段不存在
    // 序列号上传
//    private Boolean fScanBox;
    // 倒冲来源
    private String fSourceType;
    // 货主含组织
    private Boolean fIsOwnerTInclOrg;
//    输出的字段fEntryID其在指定实体tempObject上的属性没有找到映射或不是简单属性。
    // 实体主键
//    private Long fEntryID;
    // 用料清单分录ID
    private Long fPPBOMEntryId;
    // 物料编码 (必填项)
    private String fMaterialId;
    // 物料名称
    private String fMaterialName;
    // 规格型号
    private String fSpecification;
    // 单位 (必填项)
    private String fUnitID;
    // 申请数量
    private Double fAPPQty;
    // 实退数量
    private Double fQty;
    // 退料类型 (必填项)
    private String fReturnType;
    // 仓库 (必填项)
    private String fStockId;
    // 生产订单ID
    private Long fMoId;
    // 生产订单编号
    private String fMoBillNo;
    // 生产订单分录ID
    private Long fMoEntryId;
    // 生产订单行号
    private Integer fMoEntrySeq;
    // 辅助属性
    private String fAuxPropId;
    // 基本单位申请数量
    private Double fBaseAppQty;
    // 主库存单位
    private String fStockUnitId;
    // 主库存申请数量
    private Double fStockAppQty;
    // 辅库存单位
    private String fSecUnitId;
    // 辅库存实退数量
    private Double fSecStockQty;
    // 主库存实退数量
    private Double fStockQty;
    // 基本单位实退数量
    private Double fBaseQty;
    // 计划跟踪号
    private String fMtoNo;
    // 项目编号
    private String fProjectNo;
    // 批号
    private String fLot;
    // 库存状态 (必填项)
    private String fStockStatusId;
    // 保质期单位
    private String fExpUnit;
    // 保质期
    private Integer fExpPeriod;
    // 保管者类型 (必填项)
    private String fKeeperTypeId;
    // 保管者 (必填项)
    private String fKeeperId;
    // 工序号
    private String fOperId;
    // 成本价
    private Double fPrice;
    // 总成本
    private Double fAmount;
    // BOM版本
    private String fBomId;
    // 仓位
    private String fStockLocId;
//    疑似字典
//    // 材料库区域
//    private String fF100001;
//    // 博世库分区
//    private String fF100002;
//    // 智能库分区
//    private String fF100003;
//    // 原材料仓库
//    private String fF100004;
//    // 博世原材料仓库
//    private String fF100005;
//    // 辅料仓库
//    private String fF100006;
//    // 金华德原材料仓库
//    private String fF100007;
    // 作业
    private String fProcessId;
    // 系统源单类型 (必填项)
    private String fSrcBillType;
    // 系统源单编号
    private String fSrcBillNo;
    // 补料选单数
    private Double fSelRePickedQty;
    // 基本单位补料选单数
    private Double fBaseSelRePickedQty;
    // 基本单位
    private String fBaseUnitId;
    // 更新库存标志位
    private Boolean fStockFlag;
    // 货主类型 (必填项)
    private String fOwnerTypeId;
    // 货主 (必填项)
    private String fOwnerId;
    // 系统源单内码
    private Long fEntrySrcInterId;
    // 系统源单分录内码
    private Long fEntrySrcEnteryId;
    // 系统源单行号
    private Integer fEntrySrcEntrySeq;
    // 生产日期
    private Date fProduceDate;
    // 有效期至
    private Date fExpiryDate;
    // 用料清单编号
    private String fPPBomBillNo;
    // 车间
    private String fWorkShopId1;
    // 退料原因
    private String fReturnReason;
    // 备注
    private String fEntrtyMemo;
    // 产品货主类型 (必填项)
    private String fParentOwnerTypeId;
    // 产品货主 (必填项)
    private String fParentOwnerId;
    // 业务流程
    private String fBFLowId;
    // 产品编码
    private String fParentMaterialId;
    // 业务源单类型
    private String fSrcBizBillType;
    // 业务源单编号
    private String fSrcBizBillNo;
    // 业务源单内码
    private Long fSrcBizInterId;
    // 业务源单分录内码
    private Long fSrcBizEntryId;
    // 业务源单行号
    private Integer fSrcBizEntrySeq;
    // 序列号单位
    private String fSNUnitID;
    // 序列号单位数量
    private Double fSNQty;
    // 预留类型
    private String fReserveType;
    // 主库存基本单位实退数量
    private Double fBASESTOCKQTY;
    // 消耗汇总
    private Boolean fConsome;
    // VMI业务
    private Boolean fEntryVmiBusiness;
    // 工序序列
    private Integer fOptQueue;
    // 工序计划单编号
    private String fOptPlanBillNo;
    // 工序计划单内码
    private Long fOptPlanBillId;
    // 工作中心
    private String fWorkCenterId;
    // 工序计划工序内码
    private Long fOptDetailId;
    // 需求来源
    private String fReqSrc;
    // 需求单据
    private String fReqBillNo;
    // 需求单据内码
    private Long fReqBillId;
    // 需求单据行号
    private Integer fReqEntrySeq;
    // 需求单据分录内码
    private Long fReqEntryId;
    // 设备
    private String fEquipmentId;
    // 不更新未领
    private Boolean fIsUpdateQty;
    // 组织间结算跨法人标识
    private Boolean fIsOverLegalOrg;
    // 生产退料检验
    private Boolean fCheckReturnMtrl;
}
