package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizMeasurement;

/**
 * 计量单位Mapper接口
 *
 * @author ezhizao
 * @date 2025-04-23
 */
public interface BizMeasurementMapper extends BaseMapper<BizMeasurement>
{
    /**
     * 查询计量单位列表
     *
     * @param bizMeasurement 计量单位
     * @return 计量单位集合
     */
    public List<BizMeasurement> getList(BizMeasurement bizMeasurement);

    /**
     * 物理删除
     * @param bizMeasurement
     * @return 删除结果
    */
    public int physicalDelete(BizMeasurement bizMeasurement);
}
